Bug 23061 - gcc segfaults while building large programs (e.g. kernels, libwww, etc.)
Summary: gcc segfaults while building large programs (e.g. kernels, libwww, etc.)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i686 Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-31 22:00 UTC by Landsberger, Brian J
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-02 07:34:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Landsberger, Brian J 2000-12-31 22:00:38 UTC
While compiling a linux kernel the following happens (2.2.18,
2.4.0-prerelease, etc.). This also happened while compiling libwww (from
the w3c). 


make[1]: Leaving directory `/usr/src/linux-2.4.0-prerelease'
gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2
-fomit-frame-pointer -fno-strict-aliasing -pipe
-mpreferred-stack-boundary=2 -march=athlon    -c -o init/main.o init/main.c
In file included from /usr/src/linux/include/linux/pagemap.h:17,
                 from /usr/src/linux/include/linux/locks.h:9,
                 from /usr/src/linux/include/linux/raid/md.h:37,
                 from init/main.c:25:
/usr/src/linux/include/linux/highmem.h: In function
`memclear_highpage_flush':
/usr/src/linux/include/linux/highmem.h:82: Internal error: Segmentation
fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [init/main.o] Error 2

Comment 1 Jakub Jelinek 2001-01-02 07:34:13 UTC
Is it reproduceable (always on the same file, even if you
rerun the above command by hand)?
If yes, can you please rerun
gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2
-fomit-frame-pointer -fno-strict-aliasing -save-temps -v
-mpreferred-stack-boundary=2 -march=athlon    -c -o init/main.o init/main.c
(note -save-temps) and attach here main.i it creates?

Comment 2 Landsberger, Brian J 2001-01-02 09:14:37 UTC
No worries, was not gcc - was bad ram.


Note You need to log in before you can comment on or make changes to this bug.